/*
 * Copyright (c) 2001 Massachusetts Institute of Technology.
 *
 * This file is part of VideoCM. 
 *
 * This software is being provided by the copyright holders under the GNU
 * General Public License, either version 2 or, at your discretion, any later
 * version. (See the file `COPYING' in the source distribution.)
 *
 * This software is provided "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. The entire risk as
 * to the quality and performance of the program is with you. See the GNU
 * General Public License for more details.
 *
 * The name and trademarks of copyright holders may NOT be used in 
 * advertising or publicity pertaining to the software without specific, 
 * written prior permission. Title to copyright in this software and any 
 * associated documentation will at all times remain with copyright 
 * holders. See the file AUTHORS which should have accompanied this software 
 * for a list of all copyright holders. 
 * 
 * Particular files in this distribution may be derived from previously
 * copyrighted software. This copyright applies only to those changes made by
 * the copyright holders listed in the AUTHORS file.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

/*
 *  Copyright (C) 1996 Progressive Networks.
 *
 * $Id: msg_handler.h,v 1.3 2001/03/14 23:01:59 feamster Exp $
 *
 */

#ifndef _MSG_HANDLER_H_
#define _MSG_HANDLER_H_

#ifdef __cplusplus
extern "C"
{
#endif

#define BLEN            4096
/*
 * The following defines the maximum buffer size needed to collect
 * the status message.  It must be greater than the sscanf() fmt limit
 * used in valid_response_msg() in parse.c.
 */
#define STATUS_MSG_LEN  256


#ifdef __cplusplus
}
#endif

#endif /* _MSG_HANDLER_H_ */
