/******************************************************************
 *
 * Nick Feamster
 * MIT LCS
 * August 2000
 * psnr.h
 *
 ******************************************************************/

#ifndef __PSNR_H__
#define __PSNR_H__

#define PEAK 255.0
#define IMG_RGB 1
#define IMG_YUV 2


float psnr(unsigned char *img1, unsigned char *img2, int nrows, int ncols);
float psnr_RGB(unsigned char *img1, unsigned char *img2,
		int nrows, int ncols);
void psnr_YUV420(unsigned char *img1, unsigned char *img2,
		 int nrows, int ncols,
		 float *psnr_y, float *psnr_u, float *psnr_v);
void psnr_file(char *filename1, char *filename2, int nrows, int ncols, int t_offset, int b_offset);


#endif
