/******************************************************************
 *
 * Nick Feamster
 * MIT LCS
 * August 2000
 * psnr_file.c
 *
 ******************************************************************/

#include <stdio.h>
#include "psnr.h"

int main(int argc, char **argv) {

  int nrows, ncols, t_offset, b_offset;
  if (argc < 5) {
    fprintf(stderr, "usage: %s <file1> <file2> <num_rows> <num_cols> [topbytes] [botbytes]\nwhere \"bytes\" is the number of bytes smaller file1 is than file2.\n",
	    argv[0]);
    exit(-1);
  }
  t_offset = (argv[5])?atoi(argv[5]):0;
  b_offset = (argv[6])?atoi(argv[6]):0;


  nrows = atoi(argv[3]);
  ncols = atoi(argv[4]);
  
  psnr_file(argv[1], argv[2], nrows, ncols, t_offset, b_offset);
  
  return 1;
}
  



